# Keycloak

This is dockerised Keycloak system. Keycloak support openid_connect.
It's designed to be connected to a Dolibarr instance and other partners applciations.

## Setting up your environement

1. Clone this repository
2. `cp .env.sample .env`
3. Edit .env (host, keycloak admin credential and MariaDB password)

## Launch environement

`docker-compose up`

## Configuration

For realm creation, add custom theme and Dolibarr connection, see issue template (.gitlab/issue_templates)
https://gitlab.tetras-libre.fr/nocloud/service-desk/-/blob/master/.gitlab/issue_templates/KEYCLOAK_connexion_dolibarr.md?ref_type=heads

### Create realm, first user and connect first application

Follow the official [get started tutorial](https://www.keycloak.org/getting-started/getting-started-docker)
